## python-django-nova 0.3~git20110711

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/django-openstack
PROJECT=django-openstack

all:
	@echo "make buildout - Run through buildout"
	@echo "make test - Run tests"
	@echo "make source - Create source package"
	@echo "make install - Install on local system"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make clean - Get rid of scratch and byte files"

buildout: ./bin/buildout
	./bin/buildout

./bin/buildout:
	$(PYTHON) bootstrap.py

source:
	$(PYTHON) setup.py sdist $(COMPILE)

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	# build the source package in the parent directory
	# then rename it to project_version.orig.tar.gz
	$(PYTHON) setup.py sdist $(COMPILE) --dist-dir=../
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(PROJECT)_$$1\.orig\.tar\.gz/' ../*
	# build the package
	dpkg-buildpackage -i -I -rfakeroot

clean:
	$(PYTHON) setup.py clean
	$(MAKE) -f $(CURDIR)/debian/rules clean
	rm -rf build/ MANIFEST
	find . -name '*.pyc' -delete

## python-django-nova 0.1~bzr15

=== debian/changelog ===
python-django-nova (0.1~bzr15-0ubuntu1) natty; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 10 Feb 2011 13:22:41 -0500

=== debian/control ===
Source: python-django-nova
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
Standards-Version: 3.9.1
Homepage: http://www.openstack.org

Package: python-django-nova
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0.2)
Description: Nova django module.
 django-nova is a module that contains views and templates for 
 interacting with Nova, OpenStack's cloud controller.

## python-django-nova 0.3~git20110711

=== debian/changelog ===
python-django-nova (0.3~git20110711-0ubuntu3) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:36 +0000

python-django-nova (0.3~git20110711-0ubuntu2) oneiric; urgency=low

  * debian/rules: add --with python2.  (LP: #831102)

 -- Barry Warsaw <barry@ubuntu.com>  Mon, 12 Sep 2011 15:00:01 -0400

python-django-nova (0.3~git20110711-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * python-support transition.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Jul 2011 12:15:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Chuck Short <zulcss@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), python-support, python-setuptools
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-setuptools
 Standards-Version: 3.9.1
 Homepage: http://www.openstack.org

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_clean:
	true
